<html lang=en>
<head>
<meta name="Generated by Rational Rose model" content="C:\Aurora_Oct20\RSM\eclipse\workspace-cascadeplus\org.eclipse.wst.rdb.models.sql\src\model\SQLModel.mdl">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="Description" content="UserDefinedTypes are contained by reference, ie the column does not own the UserDefinedType instance.  A Column must have one of, but not both, a containedType or a referencedType.     Setting the containedType on a column will remove any referencedType, and vice versa.">
<meta name="KeyWords" content="SQLModel,model SQLModel,">
<a href="../root.html" target=_top><IMG SRC="../webviewer/home.gif"BORDER=0></a>
</head>
<body bgcolor = "#FFFFFF">
<p><font FACE="Arial, Geneva" SIZE=3><b>Association&nbsp;(referencedType:UserDefinedType)&nbsp;(theTypedElement:TypedElement)</b></font></p>
<font FACE="Arial, Geneva" SIZE=2><b>Documentation</b></font><BR><font FACE="Arial, Geneva" SIZE=2>UserDefinedTypes are contained by reference, ie the column does not own the UserDefinedType instance.  A Column must have one of, but not both, a containedType or a referencedType. 
<BR>
<BR>Setting the containedType on a column will remove any referencedType, and vice versa.</font><BR><BR>
<TABLE BORDER=1 CELLSPACING=0 CELLPADDING=3><TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Derived</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>No</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Link&nbsp;Class</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>--Not&nbsp;Defined--</font></TD></TR><TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Element&nbsp;1</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../cat3f26ae4d0300/cat3e9b1f8201c1/cat3f27d65902fa/class3edf9e8100eb.htm" target="contents_frame">UserDefinedType</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Element&nbsp;2</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../cat3f26ae4d0300/cat3e9b1f8201c1/cat3f27d66b01ab/class3fa6a8930071.htm" target="contents_frame">TypedElement</a></font></TD></TR><TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Role&nbsp;1</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../webviewer/pub.gif"BORDER=0><a href="role3fa288ab03b5.htm" target="contents_frame">referencedType</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Role&nbsp;2</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../webviewer/pub.gif"BORDER=0><a href="role3fa288ab03bf.htm" target="contents_frame">--Not&nbsp;Named--</a></font></TD></TR></TABLE><BR><BR>
<BR><p><font FACE="Arial, Geneva" SIZE=3><b>Property Settings</b></font></p>
<font FACE="Arial, Geneva" SIZE=2><b>Data Modeler</b></font>
<TABLE BORDER=1 CELLSPACING=0 CELLPADDING=3>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>dmItem</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>DMName</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>IsRelationship</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>SourceId</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>SourceType</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>RIMethod</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>ParentUpdateRule</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>ParentUpdateRuleName</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>ParentDeleteRule</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>ParentDeleteRuleName</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>ChildInsertRestrict</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>ChildInsertRestrictName</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>ChildMultiplicity</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>ChildMultiplicityName</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
</TABLE><BR><BR>
</body>
</html>
